.TH EXPRESS "1" "February 2015" "express 1.5.1" "User Commands"
.SH NAME
berkeley-express \- Streaming quantification for high-throughput sequencing
.SH DESCRIPTION
File Usage:  express [options] <target_seqs.fa> <hits.(sam/bam)>
Piped Usage: bowtie [options] \fB\-S\fR <index> <reads.fq> | express [options] <target_seqs.fa>
.SS "Required arguments:"
.TP
<target_seqs.fa>
target sequence file in fasta format
.TP
<hits.(sam/bam)>
read alignment file in SAM or BAM format
.SS "Standard Options:"
.TP
\fB\-h\fR [ \fB\-\-help\fR ]
produce help message
.TP
\fB\-o\fR [ \fB\-\-output\-dir\fR ] arg (=.)
write all output files to this directory
.TP
\fB\-D\fR [ \fB\-\-preprocess\fR ]
run preprocess script for eXpressD
.TP
\fB\-m\fR [ \fB\-\-frag\-len\-mean\fR ] arg (=200)
prior estimate for average fragment
length
.TP
\fB\-s\fR [ \fB\-\-frag\-len\-stddev\fR ] arg (=80)
prior estimate for fragment length std
deviation
.TP
\fB\-H\fR [ \fB\-\-haplotype\-file\fR ] arg
path to a file containing haplotype pairs
.TP
\fB\-B\fR [ \fB\-\-additional\-batch\fR ] arg (=0)
number of additional batch EM rounds
after initial online round
.TP
\fB\-O\fR [ \fB\-\-additional\-online\fR ] arg (=0) number of additional online EM rounds
after initial online round
.TP
\fB\-L\fR [ \fB\-\-max\-read\-len\fR ] arg (=250)
maximum allowed length of a read
.TP
\fB\-\-output\-align\-prob\fR
output alignments (sam/bam) with
probabilistic assignments
.TP
\fB\-\-output\-align\-samp\fR
output alignments (sam/bam) with sampled
assignments
.TP
\fB\-\-fr\-stranded\fR
accept only forward\->reverse alignments
(second\-stranded protocols)
.TP
\fB\-\-rf\-stranded\fR
accept only reverse\->forward alignments
(first\-stranded protocols)
.TP
\fB\-\-f\-stranded\fR
accept only forward single\-end alignments
(second\-stranded protocols)
.TP
\fB\-\-r\-stranded\fR
accept only reverse single\-end alignments
(first\-stranded protocols)
.TP
\fB\-\-no\-update\-check\fR
disables automatic check for update via
web
.TP
\fB\-\-logtostderr\fR
prints all logging messages to stderr
.SS "Advanced Options:"
.TP
\fB\-f\fR [ \fB\-\-forget\-param\fR ] arg (=0.84999999999999998)
sets the 'forgetting factor' parameter
(0.5 < c <= 1)
.TP
\fB\-\-library\-size\fR arg
specifies library size for FPKM instead
of calculating from alignments
.TP
\fB\-\-max\-indel\-size\fR arg (=10)
sets the maximum allowed indel size,
affecting geometric indel prior
.TP
\fB\-\-calc\-covar\fR
calculate and output covariance matrix
.TP
\fB\-\-expr\-alpha\fR arg (=0.0050000000000000001)
sets the strength of the prior, per bp
.TP
\fB\-\-stop\-at\fR arg (=0)
sets the number of fragments to
process, disabled with 0
.TP
\fB\-\-burn\-out\fR arg (=5000000)
sets number of fragments after which to
stop updating auxiliary parameters
.TP
\fB\-\-no\-bias\-correct\fR
disables bias correction
.TP
\fB\-\-no\-error\-model\fR
disables error modelling
.TP
\fB\-\-aux\-param\-file\fR arg
path to file containing auxiliary
parameters to use instead of learning

